<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Dozenten\SammelEMail;

class SammelEMailPresenter extends \Kufer\Web\KuferTools\Ausgaben\SammelEMail\AnDozenten\SammelEMailPresenter
{
  protected function getView()
  {
    return new SammelEMailView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $result = parent::getViewModel();
    $result->emailAnDozentSenderMultiple = $this->useCaseResponse->emailAnDozentSenderMultiple;
    $result->ma = $this->useCaseResponse->ma;

    return $result;
  }
}